﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Web._Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <div class="panel panel-primary">
        <div class="panel-heading">Informe Diario Gas</div>
        <div class="panel-body">
            <div class="row">
                <div class="col-md-2">
                    <label>Tipo</label>
                    <div>
                        <ej:RadioButton ID="radFinalizado" runat="server" Name="Tipo" Text="Finalizado" Checked="true" EnablePersistence="true"></ej:RadioButton>
                        <ej:RadioButton ID="radPendiente" runat="server" Name="Tipo" Text="Pendiente" Enabled="false" EnablePersistence="true"></ej:RadioButton>
                    </div>
                </div>

                <div class="col-md-2">
                    <label>Team</label>
                    <ej:DropDownList ID="ddlTeam" runat="server" DataTextField="Nombre" DataValueField="ID" ShowCheckbox="true" ClientSideOnCheckChange="onCheckUncheckAll">
                        <Items>
                            <ej:DropDownListItem Text="Barcelona" Value="1"/>
                            <ej:DropDownListItem Text="Madrid" Value="2"/>
                            <ej:DropDownListItem Text="Sevilla" Value="3"/>
                            <ej:DropDownListItem Text="Valencia" Value="4"/>

                        </Items>
                    </ej:DropDownList>
                </div>

                <div class="col-md-2">
                    <ej:Button ID="btnGenerarInforme" runat="server" Size="Large" Type="Button" Text="Generar Informe" ShowRoundedCorner="true" OnClick="btnGenerarInforme_Click" />
                </div>
            </div>
        </div>
    </div>

    <asp:ValidationSummary runat="server" ID="modelStateError" ShowModelStateErrors="true" ForeColor="Red"/>    
    <br />

    <ej:WaitingPopup ID="target" runat="server" ShowOnInit="false" Text="Generando Informes..." >
    </ej:WaitingPopup>

    <div class="row">
        <ej:Tab runat="server" ID="tabInformes" Visible="false">

        </ej:Tab>
    </div>

     <script>
        function onCheckUncheckAll(args) {
            if (args.value == "0") {
                var sender = $('#<%=ddlTeam.ClientID%>').data("ejDropDownList");
                if (args.isChecked)
                    sender.checkAll();
                else
                    sender.unCheckAll();
            }
        }
    </script>
</asp:Content>
