﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DatosInformeGasTeam.ascx.cs" Inherits="Web.UserControls.DatosInformeGasTeam" %>

 <div class="row">
        <div class="col-md-12">
            <h4>Operaciones terminadas por Tipo Operación</h4>
            <ej:Grid ID="gridOperacionesTerminadasTipoOperacion" runat="server" AllowPaging="True" AllowFiltering="True" AllowScrolling="True" AllowSorting="True"
                ShowSummary="true" OnServerExcelExporting="gridOperacionesTerminadasTipoOperacion_ServerExcelExporting">
                <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport"></ToolbarSettings>
                <FilterSettings FilterType="Excel"></FilterSettings>
                <SummaryRows>
                    <ej:SummaryRow Title="Promedio">
                        <SummaryColumn>
                            <ej:SummaryColumn SummaryType="Average" DisplayColumn="Exito" DataMember="Exito" Format="{0:n2}" />
                            <ej:SummaryColumn SummaryType="Average" DisplayColumn="NoExito" DataMember="NoExito" Format="{0:n2}"/>
                            <ej:SummaryColumn SummaryType="Average" DisplayColumn="Exito" DataMember="Exito" Format="{0:n2}"/>
                        </SummaryColumn>
                    </ej:SummaryRow>
                </SummaryRows>

                <Columns>
                    <ej:Column Field="TipoOperacion" HeaderText="Tipo Operación"></ej:Column>
                    <ej:Column Field="Exito" HeaderText="Éxito" ></ej:Column>
                    <ej:Column Field="NoExito" HeaderText="No Éxito"></ej:Column>
                    <ej:Column Field="PorcentajeExito" HeaderText="% Éxito"></ej:Column>
                </Columns>
            </ej:Grid>
        </div>
    </div>